import { RibbonTab } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { RibbonTab } from './../index';
export declare class RibbonTabComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<RibbonTab>);
    private eventHandlers;
    nativeElement: RibbonTab;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Determines whether the tab item is disabled. */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description Determines the label of the tab item. */
    get label(): string;
    set label(value: string);
    /** @description Determines whether the tab item is selected. */
    get selected(): boolean;
    set selected(value: boolean);
    /** @description Determines the ribbon group of the tab item */
    get ribbonGroups(): any;
    set ribbonGroups(value: any);
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RibbonTabComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RibbonTabComponent, "smart-ribbon-tab, [smart-ribbon-tab]", ["smart-ribbon-tab"], { "disabled": "disabled"; "label": "label"; "selected": "selected"; "ribbonGroups": "ribbonGroups"; }, {}, never>;
}
